com.lowagie.text.pdf

## Class PdfCopy.StampContent

- java.lang.Object
- - com.lowagie.text.pdf.PdfContentByte
  - - com.lowagie.text.pdf.PdfCopy.StampContent

- Enclosing class:
    PdfCopy

      public static class PdfCopy.StampContent
      extends PdfContentByte

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.lowagie.text.pdf.PdfContentByte

      `PdfContentByte.GraphicState`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) PageResources` | `pageResources`

    - ### Fields inherited from class com.lowagie.text.pdf.PdfContentByte

      `ALIGN_CENTER, ALIGN_LEFT, ALIGN_RIGHT, content, layerDepth, LINE_CAP_BUTT, LINE_CAP_PROJECTING_SQUARE, LINE_CAP_ROUND, LINE_JOIN_BEVEL, LINE_JOIN_MITER, LINE_JOIN_ROUND, pdf, separator, state, stateList, TEXT_RENDER_MODE_CLIP, TEXT_RENDER_MODE_FILL, TEXT_RENDER_MODE_FILL_CLIP, TEXT_RENDER_MODE_FILL_STROKE, TEXT_RENDER_MODE_FILL_STROKE_CLIP, TEXT_RENDER_MODE_INVISIBLE, TEXT_RENDER_MODE_STROKE, TEXT_RENDER_MODE_STROKE_CLIP, writer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdfCopy.StampContent(PdfWriter writer, PageResources pageResources)` Creates a new instance of StampContent

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PdfContentByte` | `getDuplicate()` Gets a duplicate of this `PdfContentByte`.
    `(package private) PageResources` | `getPageResources()`

    - ### Methods inherited from class com.lowagie.text.pdf.PdfContentByte

      `add, addAnnotation, addImage, addImage, addImage, addImage, addOutline, addPSXObject, addTemplate, addTemplate, addTemplateReference, arc, beginLayer, beginMarkedContentSequence, beginMarkedContentSequence, beginMarkedContentSequence, beginText, bezierArc, checkNoPattern, checkWriter, circle, clip, closePath, closePathEoFillStroke, closePathFillStroke, closePathStroke, concatCTM, createAppearance, createAppearance, createGraphics, createGraphics, createGraphics, createGraphics, createGraphicsShapes, createGraphicsShapes, createPattern, createPattern, createPattern, createPattern, createPrinterGraphics, createPrinterGraphics, createPrinterGraphics, createPrinterGraphics, createPrinterGraphicsShapes, createPrinterGraphicsShapes, createTemplate, createTemplate, curveFromTo, curveTo, curveTo, drawButton, drawRadioField, drawTextField, ellipse, endLayer, endMarkedContentSequence, endText, eoClip, eoFill, eoFillStroke, escapeString, escapeString, fill, fillStroke, getCharacterSpacing, getEffectiveStringWidth, getHorizontalScaling, getInternalBuffer, getKernArray, getLeading, getPdfDocument, getPdfWriter, getRootOutline, getWordSpacing, getXTLM, getYTLM, lineTo, localDestination, localGoto, moveText, moveTextWithLeading, moveTo, newlineShowText, newlineShowText, newlineText, newPath, outputColorNumbers, paintShading, paintShading, rectangle, rectangle, remoteGoto, remoteGoto, reset, reset, resetCMYKColorFill, resetCMYKColorStroke, resetGrayFill, resetGrayStroke, resetRGBColorFill, resetRGBColorStroke, restoreState, roundRectangle, sanityCheck, saveState, setAction, setCharacterSpacing, setCMYKColorFill, setCMYKColorFillF, setCMYKColorStroke, setCMYKColorStrokeF, setColorFill, setColorFill, setColorStroke, setColorStroke, setDefaultColorspace, setFlatness, setFontAndSize, setGrayFill, setGrayStroke, setGState, setHorizontalScaling, setLeading, setLineCap, setLineDash, setLineDash, setLineDash, setLineDash, setLineJoin, setLineWidth, setLiteral, setLiteral, setLiteral, setMiterLimit, setPatternFill, setPatternFill, setPatternFill, setPatternStroke, setPatternStroke, setPatternStroke, setRGBColorFill, setRGBColorFillF, setRGBColorStroke, setRGBColorStrokeF, setShadingFill, setShadingStroke, setTextMatrix, setTextMatrix, setTextRenderingMode, setTextRise, setWordSpacing, showText, showText, showTextAligned, showTextAlignedKerned, showTextKerned, size, stroke, toPdf, toString, transform, variableRectangle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### pageResources

          PageResources pageResources

  - ### Constructor Detail

    - #### PdfCopy.StampContent

          PdfCopy.StampContent(PdfWriter writer,
                              PageResources pageResources)

      Creates a new instance of StampContent

  - ### Method Detail

    - #### getDuplicate

          public PdfContentByte getDuplicate()

      Gets a duplicate of this `PdfContentByte`. All the members are copied by reference but the buffer stays different.
      Overrides:
        `getDuplicate` in class `PdfContentByte`
      Returns:
        a copy of this `PdfContentByte`

    - #### getPageResources

          PageResources getPageResources()

      Overrides:
        `getPageResources` in class `PdfContentByte`